import 'package:flutter_test/flutter_test.dart';

import 'package:flutter_address_from_latlng/flutter_address_from_latlng.dart';

import 'lat_lng_tm.dart';

void main() {
  test(
    'Test 1: Location from coordinate',
    () async {

      List<LatLngTM> lllist = [
        LatLngTM(23.865757, 90.391311), /// uttara sector 11
        LatLngTM(23.832351, 90.418158), /// nikunja
        LatLngTM(23.870197, 90.396986), /// uttara sector 7 park
        LatLngTM(23.725156, 90.412210), /// gulistan patal sarak
        LatLngTM(23.542659, 90.784850), /// gouripur bazar school road
      ];

      String googleApiKey = '';

      for(var v in lllist){
        String res = await FlutterAddressFromLatLng().getFormattedAddress(
          latitude: v.lat,
          longitude: v.lng,
          googleApiKey: googleApiKey,
        );

        print('formatted address : $res');

        Address? premiseAddress = await FlutterAddressFromLatLng().getPremiseAddress(
          latitude: v.lat,
          longitude: v.lng,
          googleApiKey: googleApiKey,
        );


        Address? streetAddress = await FlutterAddressFromLatLng().getStreetAddress(
          latitude: v.lat,
          longitude: v.lng,
          googleApiKey: googleApiKey,
        );


        Address? directionAddress = await FlutterAddressFromLatLng().getDirectionAddress(
          latitude: v.lat,
          longitude: v.lng,
          googleApiKey: googleApiKey,
        );


        Address? establishmentAddress = await FlutterAddressFromLatLng().getEstablishmentAddress(
          latitude: v.lat,
          longitude: v.lng,
          googleApiKey: googleApiKey,
        );



        Address? plusCodeAddress = await FlutterAddressFromLatLng().getPlusCodeAddress(
          latitude: v.lat,
          longitude: v.lng,
          googleApiKey: googleApiKey,
        );


        Address? neighborHoodAddress = await FlutterAddressFromLatLng().getNeighborhoodAddress(
          latitude: v.lat,
          longitude: v.lng,
          googleApiKey: googleApiKey,
        );


        Address? administrativeArea1 = await FlutterAddressFromLatLng().getAdministrativeAddress1(
          latitude: v.lat,
          longitude: v.lng,
          googleApiKey: googleApiKey,
        );

        Address? administrativeArea2 = await FlutterAddressFromLatLng().getAdministrativeAddress2(
          latitude: v.lat,
          longitude: v.lng,
          googleApiKey: googleApiKey,
        );


        Address? administrativeArea3 = await FlutterAddressFromLatLng().getAdministrativeAddress3(
          latitude: v.lat,
          longitude: v.lng,
          googleApiKey: googleApiKey,
        );



        Address? countryAddress = await FlutterAddressFromLatLng().getCountryAddress(
          latitude: v.lat,
          longitude: v.lng,
          googleApiKey: googleApiKey,
        );

        print('premise address : ${premiseAddress?.formattedAddress}\n${premiseAddress?.toJson()}\n\n');
        print('street address : ${streetAddress?.formattedAddress}\n${streetAddress?.toJson()}\n\n');
        print('direction address : ${directionAddress?.formattedAddress}\n${directionAddress?.toJson()}\n\n');
        print('establishment address : ${establishmentAddress?.formattedAddress}\n${establishmentAddress?.toJson()}\n\n');
        print('plus code address : ${plusCodeAddress?.formattedAddress}\n${plusCodeAddress?.toJson()}\n\n');
        print('neighborHood address : ${neighborHoodAddress?.formattedAddress}\n${neighborHoodAddress?.toJson()}\n\n');
        print('administrative area 1 address : ${administrativeArea1?.formattedAddress}\n${administrativeArea1?.toJson()}\n\n');
        print('administrative area 2 address : ${administrativeArea2?.formattedAddress}\n${administrativeArea2?.toJson()}\n\n');
        print('administrative area 3 address : ${administrativeArea3?.formattedAddress}\n${administrativeArea3?.toJson()}\n\n');
        print('country address : ${countryAddress?.formattedAddress}\n${countryAddress?.toJson()}\n\n');

        break;
      }

      expect('', '');
    },
  );
}
